<form (ngSubmit)="onSubmit()"
      [formGroup]="form"
      [solidifyFocusFirstElement]="true"
>

  <mat-form-field *ngIf="getFormControl(formDefinition.name) as fd"
                  [appearance]="appearanceInputMaterial"
                  [class.mat-form-field-invalid]="formValidationHelper.displayInvalidWhenRequired(fd, displayEmptyRequiredFieldInError)"
                  solidifyTooltipOnEllipsis
  >
    <mat-label>{{labelTranslateEnum.nameLabel | translate }}</mat-label>
    <input [formControl]="fd"
           [required]="formValidationHelper.hasRequiredField(fd)"
           [solidifyValidation]="errors"
           matInput
    >
    <mat-error #errors
               solidifyTooltipOnEllipsis
    ></mat-error>
  </mat-form-field>

  <mat-form-field *ngIf="getFormControl(formDefinition.source) as fd"
                  [appearance]="appearanceInputMaterial"
                  [class.mat-form-field-invalid]="formValidationHelper.displayInvalidWhenRequired(fd, displayEmptyRequiredFieldInError)"
                  solidifyTooltipOnEllipsis
  >
    <mat-label>{{labelTranslateEnum.source | translate }}</mat-label>
    <input [formControl]="fd"
           [required]="formValidationHelper.hasRequiredField(fd)"
           [solidifyValidation]="errors"
           matInput
    >
    <mat-error #errors
               solidifyTooltipOnEllipsis
    ></mat-error>
  </mat-form-field>

  <mat-form-field *ngIf="getFormControl(formDefinition.code) as fd"
                  [appearance]="appearanceInputMaterial"
                  [class.mat-form-field-invalid]="formValidationHelper.displayInvalidWhenRequired(fd, displayEmptyRequiredFieldInError)"
                  solidifyTooltipOnEllipsis
  >
    <mat-label>{{labelTranslateEnum.code | translate }}</mat-label>
    <input [formControl]="fd"
           [required]="formValidationHelper.hasRequiredField(fd)"
           [solidifyValidation]="errors"
           matInput
    >
    <mat-error #errors
               solidifyTooltipOnEllipsis
    ></mat-error>
  </mat-form-field>

  <ng-container *ngFor="let language of languages">
    <mat-form-field *ngIf="getFormControl(language.resId) as fd"
                    [appearance]="appearanceInputMaterial"
                    [class.mat-form-field-invalid]="formValidationHelper.displayInvalidWhenRequired(fd, displayEmptyRequiredFieldInError)"
                    solidifyTooltipOnEllipsis
    >
      <mat-label>{{language.resId}}</mat-label>
      <textarea [formControl]="fd"
                [required]="formValidationHelper.hasRequiredField(fd)"
                [solidifyValidation]="errors"
                matInput
      >
      </textarea>
      <mat-error #errors
                 solidifyTooltipOnEllipsis
      ></mat-error>
    </mat-form-field>
  </ng-container>
  <dlcm-shared-additional-information-panel-container *ngIf="model | isNotNullNorUndefined"
                                                      [resource]="model"
  >
  </dlcm-shared-additional-information-panel-container>
</form>
